@echo off
cls

rem ==============
rem MAIN MENU CODE
rem ==============

:top
cls
echo +------------------------------------------------------------+
echo I Double Barrel Shotgun Graphics Patch --- For Duke Nukem 3D I
echo I                                                            I
echo I Version 1.5 --- Authored by Jonah Bishop                   I
echo +------------------------------------------------------------+
echo.
if exist sht3_off.sc echo Version 1.3D Graphics Patch - NOT INSTALLED
if exist sht3_on.sc echo Version 1.3D Graphics Patch - INSTALLED
echo.
if exist sht5_off.sc echo Version 1.4/1.5 Graphics Patch - NOT INSTALLED
if exist sht5_on.sc echo Version 1.4/1.5 Graphics Patch - INSTALLED
echo.
echo.
echo    A - About This Graphics Patch
echo    B - Read This Warning Before Loading!
echo    C - Load The Patch Files
echo    D - Unload The Patch Files
echo    E - Delete All Patch Files
echo    F - Read The Text File
echo    G - Run Duke Nukem 3D
echo    H - Run Setup
echo    I - Exit
echo.
choice /n /c:abcdefghi
if errorlevel 9 goto end
if errorlevel 8 goto setup
if errorlevel 7 goto duke
if errorlevel 6 goto text
if errorlevel 5 goto delete files
if errorlevel 4 goto unloadfiles
if errorlevel 3 goto loadfiles
if errorlevel 2 goto warning
if errorlevel 1 goto about

rem ==========
rem ABOUT CODE
rem ==========

:about
cls
echo +------------------------------------------------------------+
echo I Double Barrel Shotgun Graphics Patch --- For Duke Nukem 3D I
echo I                                                            I
echo I Version 1.5 --- Authored by Jonah Bishop                   I
echo +------------------------------------------------------------+
echo.
echo This graphics patch for Duke Nukem 3D converts the original shotgun into a two 
echo barreled shotgun.  The gun is now twice as powerful, so one shot will now kill
echo more than it originally did.  It should be noted that Pig Cop shots will also
echo damage you twice as much as they originally did, so watch out!  The art is 
echo from DOOM II, and came from a DOOM II to DOOM I conversion package under the 
echo name DBSHTGUN.ZIP.  Versions 1.3D and 1.4/1.5 are supported in this add-on.
echo.
echo This patch will place several new files in your directory.  The files are
echo tiles010.ar_, user.co_, shotgun7.vo_, shotgnck.vo_,  sht3_off.sc, sht5_off.sc,
echo 2bshtgun.bat, and 2bshtgun.txt.  
echo.
echo THE .sc FILES ARE NEEDED, SO DON'T DELETE THEM JUST BECAUSE THEY'RE VERY SMALL!
echo.
echo I hope you enjoy this graphics patch!  ---  Jonah B.
echo.
pause
goto top

rem ============
rem WARNING CODE
rem ============

:warning
cls
echo.
echo +==========+
echo I WARNING! I
echo +==========+
echo.
echo If you loaded this graphics patch using another version of this batch
echo file, and you DID NOT unload those files before using this new batch 
echo file, YOU MUST DELETE THE LOADED FILES (tiles010.art, user.con,
echo shotgun7.voc, shotgnck.voc), AND THEN LOAD THE FILES AGAIN!  This sets 
echo a flag to determine whether the files are loaded or not, and it prevents 
echo you from having large problems in the future.
echo.
pause
goto top

rem ===================
rem LOAD ALL FILES CODE
rem ===================

:loadfiles
cls
echo This patch can only be installed to the directory in which the patch files
echo are located.  For example, this means that you CANNOT install the version
echo 1.3D files from the 1.4/1.5 directory.
echo.
echo What version of Duke Nukem 3D do you currently have installed?
echo.
echo   A - Version 1.3D
echo   B - Version 1.4 or 1.5
echo   C - Return to Main Menu
echo.
choice /n /c:abc
if errorlevel 3 goto top
if errorlevel 2 goto a1 atomic load
if errorlevel 1 goto r1 regular load

rem =====================
rem UNLOAD ALL FILES CODE
rem =====================

:unloadfiles
cls 
echo This patch can only be uninstalled from the directory in which the patch
echo files are located.  For example, this means that you CANNOT uninstall the
echo version 1.3D files from the 1.4/1.5 directory.
echo.
echo What version of Duke Nukem 3D are the patch files currently installed to?
echo.
echo   A - Version 1.3D
echo   B - Version 1.4 or 1.5
echo   C - Return to Main Menu
echo.
choice /n /c:abc
if errorlevel 3 goto top
if errorlevel 2 goto a6 atomic unload
if errorlevel 1 goto r6 regular unload

rem ====================
rem REGULAR EDITION CODE
rem ====================

:r1 regular load
if not exist tiles010.ar_ echo Can't find tiles010.ar_
if not exist SHOTGUN7.vo_ echo Can't find SHOTGUN7.vo_
if not exist SHOTGNCK.vo_ echo Can't find SHOTGNCK.vo_
if not exist 2bsht13.co_ echo Can't find 2bsht13.co_
if exist sht3_on.sc goto r14 regular already loaded

echo Loading Patch Files for Version 1.3D...
echo.
echo Checking for existing user.con file...
echo.
if exist user.con goto r2 regular backup con
if not exist user.con goto r3 regular art check

:r2 regular backup con
echo Backing up user.con file (user.bak)...
copy /y user.con user.bak
echo Done.
echo.

:r3 regular art check
echo Checking for existing tiles010.art file...
echo.
if exist tiles010.art goto r4 regular art backup
if not exist tiles010.art goto r5 regular initnew

:r4 regular art backup
echo Backing up tiles010.art file (tiles010.bak)...
copy /y tiles010.art tiles010.bak
echo Done.
echo.

:r5 regular initnew
echo Initializing regular patch files...
copy /y 2bsht13.co_ user.con
copy /y shotgun7.vo_ shotgun7.voc
copy /y shotgnck.vo_ shotgnck.voc
copy /y tiles010.ar_ tiles010.art
copy /y sht3_off.sc sht3_on.sc
erase sht3_off.sc
echo Done.
echo.
echo You are now ready to play. I hope you enjoy this graphics patch.
echo (c) Jonah Bishop 1997
echo.
pause
goto top

rem =================================
rem REGULAR EDITION UNLOAD FILES CODE
rem =================================

:r6 regular unload
if exist sht3_on.sc goto r7 regular not unloaded
if exist sht3_off.sc goto r15 regular is unloaded

:r7 regular not unloaded
echo.
echo Checking for user.bak file...
echo.
if exist user.bak goto r8 regular restore con
if not exist user.bak goto r9 regular erase con

:r8 regular restore con
echo Restoring original user.con file...
copy /y user.bak user.con
erase user.bak
echo Done.
echo.
goto r10 regular art unload check

:r9 regular erase con
erase user.con

:r10 regular art unload check
echo Checking for tiles010.bak file...
echo.
if exist tiles010.bak goto r11 regular art restore
if not exist tiles010.bak goto r12 regular art erase

:r11 regular art restore
echo Restoring original tiles010.art file...
copy /y tiles010.bak tiles010.art
erase tiles010.bak
echo Done.
echo.
goto r13 regular sound erase

:r12 regular art erase
erase tiles010.art

:r13 regular sound erase
echo Erasing sound files...
erase shotgun7.voc
erase shotgnck.voc
echo Done.
echo.
copy /y sht3_on.sc sht3_off.sc
erase sht3_on.sc
pause
goto top

:r14 regular already loaded
echo You have already loaded the patch files.
echo.
pause
goto top

:r15 regular is unloaded
echo You have already unloaded the patch files.
echo.
pause
goto top


rem ===================
rem ATOMIC EDITION CODE
rem ===================

:a1 atomic load
if not exist tiles010.ar_ echo Can't find tiles010.ar_
if not exist SHOTGUN7.vo_ echo Can't find SHOTGUN7.vo_
if not exist SHOTGNCK.vo_ echo Can't find SHOTGNCK.vo_
if not exist 2bsht15.co_ echo Can't find 2bsht15.co_
if exist sht5_on.sc goto a14 loaded atomic

echo Loading Patch Files for Version 1.4/1.5...
echo.
echo Checking for original user.con file...
echo.
if exist user.con goto a2 atomic backup con
if not exist user.con goto a3 atomic check art

:a2 atomic backup con
echo Backing up user.con file (user.bak)...
copy /y user.con user.bak
echo Done.
echo.

:a3 atomic checkart
echo Checking for existing tiles010.art file...
echo.
if exist tiles010.art goto a4 atomic art copy
if not exist tiles010.art goto a5 atomic initnew

:a4 atomic art copy
echo Backing up tiles010.art file (tiles010.bak)...
copy /y tiles010.art tiles010.bak
echo Done.
echo.

:a5 atomic initnew
echo Initializing atomic patch files...
copy /y 2bsht15.co_ user.con
copy /y shotgun7.vo_ shotgun7.voc
copy /y shotgnck.vo_ shotgnck.voc
copy /y tiles010.ar_ tiles010.art
copy /y sht5_off.sc sht5_on.sc
erase sht5_off.sc
echo Done.
echo.
echo You are now ready to play. I hope you enjoy this graphics patch.
echo (c) Jonah Bishop 1997
echo.
pause
goto top

rem ================================
rem ATOMIC EDITION UNLOAD FILES CODE
rem ================================

:a6 atomic unload
if exist sht5_on.sc goto a7 atomic not unloaded
if exist sht5_off.sc goto a15 unloaded atomic

:a7 atomic not unloaded
echo Checking for user.bak file...
echo.
if exist user.bak goto a8 atomic restore con
if not exist user.bak goto a9 atomic erase con

:a8 atomic restore con
echo Restoring original user.con file...
copy /y user.bak user.con
erase user.bak
echo Done.
echo.
goto a10 atomic art unload check

:a9 atomic erase con
erase user.con

:a10 atomic art unload check
echo Checking for tiles010.bak file...
echo.
if exist tiles010.bak goto a11 atomic art restore
if not exist tiles010.bak goto a12 atomic art erase

:a11 atomic art restore
copy /y tiles010.bak tiles010.art
erase tiles010.bak
echo Done.
echo.
goto a13 atomicsound erase

:a12 atomic art erase
erase tiles010.art

:a13 atomic sound erase
echo Erasing sound files...
erase shotgun7.voc
erase shotgnck.voc
echo Done.
echo.
copy /y sht5_on.sc sht5_off.sc
erase sht5_on.sc
pause
goto top

:a14 loaded atomic
echo You have already loaded the patch files.
echo.
pause
goto top

:a15 unloaded atomic
echo You have already unloaded the patch files.
echo.
pause
goto top


rem =====================
rem DELETE ALL FILES CODE
rem =====================

:delete files
cls
echo.
echo Have you unloaded the patch files from your directory?
echo.
echo Unloading the patch files from your drive, ensures that all files
echo are deleted when you choose to do so.  If you are unsure as to
echo whether or not the files have been unloaded, press N and take
echo a look at the main menu.  If the version you installed to says
echo NOT INSTALLED, then you can safely delete the necessary files.
echo.
echo Y - Yes, I have unloaded the patch files.
echo N - No, I have not unloaded the patch files.
echo.
choice /n /c:ny
if errorlevel 2 goto delete2
if errorlevel 1 goto top

:delete2
echo Deleting all double barrel shotgun patch files...
erase tiles010.ar_
erase 2bsht13.co_
erase 2bsht15.co_
erase shotgun7.vo_
erase shotgnck.vo_
erase 2bshtgun.txt
erase sht3_off.sc
erase sht5_off.sc
echo Done.
echo.
echo Type "erase 2bshtgun.bat" at the command line to delete this batch file.
echo.
pause
goto end

rem ==============
rem TEXT FILE CODE
rem ==============

:text
type 2bshtgun.txt | more
pause 
goto top

rem =============================
rem DUKE NUKEM 3D EXECUTABLE CODE
rem =============================

:duke
duke3d
goto top

rem =====================
rem SETUP EXECTUABLE CODE
rem =====================

:setup
setup
goto top

rem ================
rem END PROGRAM CODE
rem ================

:end
cls
echo.
echo Double Barrel Shotgun Graphics Patch --- For Duke Nukem 3D
echo (c) Jonah Bishop 1997
echo.
echo I hope you enjoy this graphics patch!  Be sure to stop by 
echo the Official Map Editing FAQ Homepage:
echo.
echo http://www.elitegames.com/d3dbuild
echo.